If you have technical questions, please create a support ticket in the DevExpress Support Center.
import React from 'react';
import Toolbar, { Item } from 'devextreme-react/toolbar';
import List from 'devextreme-react/list';
import DataSource from 'devextreme/data/data_source';
import notify from 'devextreme/ui/notify';
import 'devextreme/ui/select_box';
import { productTypes, products } from './data.ts';
const renderLabel = () => <div className="toolbar-label"><b>Tom's Club</b> Products</div>;
const App = () => (
<React.Fragment>
<Toolbar>
<Item location="before"
widget="dxButton"
options={backButtonOptions} />
<Item location="before"
widget="dxButton"
options={refreshButtonOptions} />
<Item location="center"
locateInMenu="never"
render={renderLabel} />
<Item location="after"
locateInMenu="auto"
widget="dxSelectBox"
options={selectBoxOptions} />
<Item location="after"
locateInMenu="auto"
widget="dxButton"
options={addButtonOptions} />
<Item locateInMenu="always"
widget="dxButton"
options={saveButtonOptions} />
<Item locateInMenu="always"
widget="dxButton"
options={printButtonOptions} />
<Item locateInMenu="always"
widget="dxButton"
options={settingsButtonOptions} />
</Toolbar>
<List id="products" dataSource={productsStore} />
</React.Fragment>
);
const productsStore = new DataSource(products);
const backButtonOptions = {
icon: 'back',
onClick: () => {
notify('Back button has been clicked!');
},
};
const refreshButtonOptions = {
icon: 'refresh',
onClick: () => {
notify('Refresh button has been clicked!');
},
};
const selectBoxOptions = {
width: 140,
items: productTypes,
valueExpr: 'id',
displayExpr: 'text',
value: productTypes[0].id,
inputAttr: { 'aria-label': 'Categories' },
onValueChanged: (args) => {
if (args.value > 1) {
productsStore.filter(['type', '=', args.value]);
} else {
productsStore.filter(null);
}
productsStore.load();
},
};
const addButtonOptions = {
icon: 'plus',
onClick: () => {
notify('Add button has been clicked!');
},
};
const saveButtonOptions = {
text: 'Save',
onClick: () => {
notify('Save option has been clicked!');
},
};
const printButtonOptions = {
text: 'Print',
onClick: () => {
notify('Print option has been clicked!');
},
};
const settingsButtonOptions = {
text: 'Settings',
onClick: () => {
notify('Settings option has been clicked!');
},
};
export default App;
xxxxxxxxxx
import React from 'react';
import Toolbar, { Item } from 'devextreme-react/toolbar';
import List from 'devextreme-react/list';
import DataSource from 'devextreme/data/data_source';
import notify from 'devextreme/ui/notify';
import 'devextreme/ui/select_box';
import { productTypes, products } from './data.js';
const renderLabel = () => (
<div className="toolbar-label">
<b>Tom's Club</b> Products
</div>
);
const App = () => (
<React.Fragment>
<Toolbar>
<Item
location="before"
widget="dxButton"
options={backButtonOptions}
/>
<Item
location="before"
widget="dxButton"
options={refreshButtonOptions}
/>
<Item
location="center"
locateInMenu="never"
render={renderLabel}
/>
<Item
location="after"
locateInMenu="auto"
widget="dxSelectBox"
options={selectBoxOptions}
/>
<Item
location="after"
locateInMenu="auto"
widget="dxButton"
options={addButtonOptions}
/>
<Item
locateInMenu="always"
widget="dxButton"
options={saveButtonOptions}
/>
<Item
locateInMenu="always"
widget="dxButton"
options={printButtonOptions}
/>
<Item
locateInMenu="always"
widget="dxButton"
options={settingsButtonOptions}
/>
</Toolbar>
<List
id="products"
dataSource={productsStore}
/>
</React.Fragment>
);
const productsStore = new DataSource(products);
const backButtonOptions = {
icon: 'back',
onClick: () => {
notify('Back button has been clicked!');
},
};
const refreshButtonOptions = {
icon: 'refresh',
onClick: () => {
notify('Refresh button has been clicked!');
},
};
const selectBoxOptions = {
width: 140,
items: productTypes,
valueExpr: 'id',
displayExpr: 'text',
value: productTypes[0].id,
inputAttr: { 'aria-label': 'Categories' },
onValueChanged: (args) => {
if (args.value > 1) {
productsStore.filter(['type', '=', args.value]);
} else {
productsStore.filter(null);
}
productsStore.load();
},
};
const addButtonOptions = {
icon: 'plus',
onClick: () => {
notify('Add button has been clicked!');
},
};
const saveButtonOptions = {
text: 'Save',
onClick: () => {
notify('Save option has been clicked!');
},
};
const printButtonOptions = {
text: 'Print',
onClick: () => {
notify('Print option has been clicked!');
},
};
const settingsButtonOptions = {
text: 'Settings',
onClick: () => {
notify('Settings option has been clicked!');
},
};
export default App;
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
xxxxxxxxxx
export const productTypes = [{
id: 1,
text: 'All',
}, {
id: 2,
text: 'Video Players',
}, {
id: 3,
text: 'Televisions',
}, {
id: 4,
text: 'Monitors',
}, {
id: 5,
text: 'Projectors',
}];
export const products = [{
text: 'HD Video Player',
type: 2,
}, {
text: 'SuperHD Video Player',
type: 2,
}, {
text: 'SuperLCD 42',
type: 3,
}, {
text: 'SuperLED 42',
type: 3,
}, {
text: 'SuperLED 50',
type: 3,
}, {
text: 'SuperLCD 55',
type: 3,
}, {
text: 'DesktopLCD 19',
type: 4,
}, {
text: 'DesktopLCD 21',
type: 4,
}, {
text: 'DesktopLED 21',
type: 4,
}, {
text: 'Projector Plus',
type: 5,
}, {
text: 'Projector PlusHD',
type: 5,
}];
xxxxxxxxxx
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': 'bundles/',
'externals:': 'bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.5/cjs',
'devextreme-react': 'npm:devextreme-react@24.2.5/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.15/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.59/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
xxxxxxxxxx
export const productTypes = [
{
id: 1,
text: 'All',
},
{
id: 2,
text: 'Video Players',
},
{
id: 3,
text: 'Televisions',
},
{
id: 4,
text: 'Monitors',
},
{
id: 5,
text: 'Projectors',
},
];
export const products = [
{
text: 'HD Video Player',
type: 2,
},
{
text: 'SuperHD Video Player',
type: 2,
},
{
text: 'SuperLCD 42',
type: 3,
},
{
text: 'SuperLED 42',
type: 3,
},
{
text: 'SuperLED 50',
type: 3,
},
{
text: 'SuperLCD 55',
type: 3,
},
{
text: 'DesktopLCD 19',
type: 4,
},
{
text: 'DesktopLCD 21',
type: 4,
},
{
text: 'DesktopLED 21',
type: 4,
},
{
text: 'Projector Plus',
type: 5,
},
{
text: 'Projector PlusHD',
type: 5,
},
];
xxxxxxxxxx
<html lang="en">
<head></head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
xxxxxxxxxx
.toolbar-label,
.toolbar-label > b {
font-size: 16px;
}
#products {
margin-top: 10px;
}
Configure Toolbar Items
You can display Toolbar items from an items array or a dataSource. A Toolbar item may be plain text or a UI component. You should specify the text or the widget property depending on the item. If the item is a UI component, declare its options.
Specify Item Location
You can set the dataSource with location fields or specify the location property for each item. The location value can be one of the following:
-
"center"
Places the item in the center of the toolbar. -
"before"
Places the item before the central element(s). -
"after"
Places the item after the central element(s).
Additionally, the Toolbar can render its items in the overflow menu. Specify the locateInMenu property for each item with one of the following values:
-
"always"
Always places the item in the overflow menu. -
"never"
Places the item outside of the overflow menu. -
"auto"
Places the item outside of the overflow menu. If all items cannot fit within the width of the Toolbar, it renders this item in the overflow menu.
Note that you cannot specify the order of the items with locateinMenu="auto"
placed in the overflow menu.
Customize Item Appearance
You can define the itemTemplate to customize item appearance. To customize the items in the overflow menu, use the menuItemTemplate.

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Overview

The Toolbar contains items that manage the page content. In this demo, the Toolbar manages the List.

Configure Toolbar Items

You can display Toolbar items from an items array or a dataSource. A Toolbar item may be plain text or a UI component. You should specify the text or the widget property depending on the item. If the item is a UI component, declare its options.

Specify Item Location

You can set the dataSource with location fields or specify the location property for each item. The location value can be one of the following:

  • "center"
    Places the item in the center of the toolbar.

  • "before"
    Places the item before the central element(s).

  • "after"
    Places the item after the central element(s).

Additionally, the Toolbar can render its items in the overflow menu. Specify the locateInMenu property for each item with one of the following values:

  • "always"
    Always places the item in the overflow menu.

  • "never"
    Places the item outside of the overflow menu.

  • "auto"
    Places the item outside of the overflow menu. If all items cannot fit within the width of the Toolbar, it renders this item in the overflow menu.

Note that you cannot specify the order of the items with locateinMenu="auto" placed in the overflow menu.

Customize Item Appearance

You can define the itemTemplate to customize item appearance. To customize the items in the overflow menu, use the menuItemTemplate.

Backend API
<template> <div> <DxToolbar> <DxItem :options="backButtonOptions" location="before" widget="dxButton" /> <DxItem :options="refreshButtonOptions" location="before" widget="dxButton" /> <DxItem location="center" locate-in-menu="never" > <div class="toolbar-label"><b>Tom's Club</b> Products</div> </DxItem> <DxItem :options="selectBoxOptions" location="after" locate-in-menu="auto" widget="dxSelectBox" /> <DxItem :options="addButtonOptions" location="after" locate-in-menu="auto" widget="dxButton" /> <DxItem :options="saveButtonOptions" locate-in-menu="always" widget="dxButton" /> <DxItem :options="printButtonOptions" locate-in-menu="always" widget="dxButton" /> <DxItem :options="settingsButtonOptions" locate-in-menu="always" widget="dxButton" /> </DxToolbar> <DxList id="products" :data-source="productsStore" /> </div> </template> <script setup lang="ts"> import DxToolbar, { DxItem } from 'devextreme-vue/toolbar'; import DxList from 'devextreme-vue/list'; import DataSource from 'devextreme/data/data_source'; import notify from 'devextreme/ui/notify'; import 'devextreme/ui/select_box'; import { productTypes, products } from './data.ts'; const productsStore = new DataSource(products); const backButtonOptions = { icon: 'back', onClick: () => { notify('Back button has been clicked!'); }, }; const refreshButtonOptions = { icon: 'refresh', onClick: () => { notify('Refresh button has been clicked!'); }, }; const selectBoxOptions = { width: 140, items: productTypes, valueExpr: 'id', displayExpr: 'text', value: productTypes[0].id, inputAttr: { 'aria-label': 'Categories' }, onValueChanged: ({ value }) => { productsStore.filter(value > 1 ? ['type', '=', value] : null); productsStore.load(); }, }; const addButtonOptions = { icon: 'plus', onClick: () => { notify('Add button has been clicked!'); }, }; const saveButtonOptions = { text: 'Save', onClick: () => { notify('Save option has been clicked!'); }, }; const printButtonOptions = { text: 'Print', onClick: () => { notify('Print option has been clicked!'); }, }; const settingsButtonOptions = { text: 'Settings', onClick: () => { notify('Settings option has been clicked!'); }, }; </script> <style> .toolbar-label, .toolbar-label > b { font-size: 16px; } #products { margin-top: 10px; } </style>
window.exports = window.exports || {}; window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'root:': '../../../../../', 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js', 'demo-ts-loader': 'root:utils/demo-ts-loader.js', 'svg-loader': 'root:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.6/cjs', 'devextreme-vue': 'npm:devextreme-vue@23.2.6/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.54/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);
export const productTypes = [{ id: 1, text: 'All', }, { id: 2, text: 'Video Players', }, { id: 3, text: 'Televisions', }, { id: 4, text: 'Monitors', }, { id: 5, text: 'Projectors', }]; export const products = [{ text: 'HD Video Player', type: 2, }, { text: 'SuperHD Video Player', type: 2, }, { text: 'SuperLCD 42', type: 3, }, { text: 'SuperLED 42', type: 3, }, { text: 'SuperLED 50', type: 3, }, { text: 'SuperLCD 55', type: 3, }, { text: 'DesktopLCD 19', type: 4, }, { text: 'DesktopLCD 21', type: 4, }, { text: 'DesktopLED 21', type: 4, }, { text: 'Projector Plus', type: 5, }, { text: 'Projector PlusHD', type: 5, }];
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="https://unpkg.com/typescript@4.2.4/lib/typescript.js"></script> <script type="module"> import * as vueCompilerSFC from "https://unpkg.com/@vue/compiler-sfc@3.3.4/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.ts"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>

<dx-toolbar>
<dxi-toolbar-item
location="before"
widget="dxButton"
[options]="backButtonOptions"
>
</dxi-toolbar-item>
<dxi-toolbar-item
location="before"
widget="dxButton"
locateInMenu="auto"
[options]="refreshButtonOptions"
>
</dxi-toolbar-item>
<dxi-toolbar-item location="center" widget="dxButton" locateInMenu="never">
<div *dxTemplate>
<div class="toolbar-label"><b>Tom's Club</b> Products</div>
</div>
</dxi-toolbar-item>
<dxi-toolbar-item
location="after"
widget="dxSelectBox"
locateInMenu="auto"
[options]="selectBoxOptions"
>
</dxi-toolbar-item>
<dxi-toolbar-item
location="after"
widget="dxButton"
locateInMenu="auto"
[options]="addButtonOptions"
>
</dxi-toolbar-item>
<dxi-toolbar-item
widget="dxButton"
locateInMenu="always"
[options]="saveButtonOptions"
>
</dxi-toolbar-item>
<dxi-toolbar-item
widget="dxButton"
locateInMenu="always"
[options]="printButtonOptions"
>
</dxi-toolbar-item>
<dxi-toolbar-item
widget="dxButton"
locateInMenu="always"
[options]="settingsButtonOptions"
>
</dxi-toolbar-item>
</dx-toolbar>
<dx-list id="products" [dataSource]="productsStore"> </dx-list>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxListModule, DxToolbarModule, DxSelectBoxModule } from 'devextreme-angular';
import { DataSource } from 'devextreme-angular/common/data';
import notify from 'devextreme/ui/notify';
import type { DxButtonTypes } from 'devextreme-angular/ui/button';
import type { DxSelectBoxTypes } from 'devextreme-angular/ui/select-box';
import { ProductType, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxListModule,
DxToolbarModule,
DxSelectBoxModule,
],
})
export class AppComponent {
items: ProductType[];
productTypes: ProductType[];
productsStore: DataSource;
selectBoxOptions: DxSelectBoxTypes.Properties;
backButtonOptions: DxButtonTypes.Properties = {
icon: 'back',
onClick: () => {
notify('Back button has been clicked!');
},
};
refreshButtonOptions: DxButtonTypes.Properties = {
icon: 'refresh',
onClick: () => {
notify('Refresh button has been clicked!');
},
};
addButtonOptions: DxButtonTypes.Properties = {
icon: 'plus',
onClick: () => {
notify('Add button has been clicked!');
},
};
saveButtonOptions: DxButtonTypes.Properties = {
text: 'Save',
onClick: () => {
notify('Save option has been clicked!');
},
};
printButtonOptions: DxButtonTypes.Properties = {
text: 'Print',
onClick: () => {
notify('Print option has been clicked!');
},
};
settingsButtonOptions: DxButtonTypes.Properties = {
text: 'Settings',
onClick: () => {
notify('Settings option has been clicked!');
},
};
constructor(service: Service) {
this.productTypes = service.getProductTypes();
this.productsStore = new DataSource(service.getProducts());
this.selectBoxOptions = {
width: 140,
items: this.productTypes,
valueExpr: 'id',
displayExpr: 'text',
value: this.productTypes[0].id,
inputAttr: { 'aria-label': 'Categories' },
onValueChanged: ({ value }) => {
this.productsStore.filter(
(value > 1)
? ['type', '=', value]
: null,
);
this.productsStore.load();
},
};
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep .toolbar-label,
::ng-deep .toolbar-label > b {
font-size: 16px;
}
::ng-deep #products {
margin-top: 10px;
}
import { Injectable } from '@angular/core';
export class ProductType {
id: number;
text: string;
}
export class Product {
text: string;
type: number;
}
const productTypes: ProductType[] = [{
id: 1,
text: 'All',
}, {
id: 2,
text: 'Video Players',
}, {
id: 3,
text: 'Televisions',
}, {
id: 4,
text: 'Monitors',
}, {
id: 5,
text: 'Projectors',
}];
const products: Product[] = [{
text: 'HD Video Player',
type: 2,
}, {
text: 'SuperHD Video Player',
type: 2,
}, {
text: 'SuperLCD 42',
type: 3,
}, {
text: 'SuperLED 42',
type: 3,
}, {
text: 'SuperLED 50',
type: 3,
}, {
text: 'SuperLCD 55',
type: 3,
}, {
text: 'DesktopLCD 19',
type: 4,
}, {
text: 'DesktopLCD 21',
type: 4,
}, {
text: 'DesktopLED 21',
type: 4,
}, {
text: 'Projector Plus',
type: 5,
}, {
text: 'Projector PlusHD',
type: 5,
}];
@Injectable()
export class Service {
getProductTypes(): ProductType[] {
return productTypes;
}
getProducts(): Product[] {
return products;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.25',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.67',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.25/package.json',
'npm:devexpress-gantt@4.1.67/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "21.0.7"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>